Skip to navigation

Get RequestV2Submission by ID

Beta
Get a single RequestV2Submission by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

request_v2_submission_idstringRequired
ID of the RequestV2Submission.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
archiveReasonstring or nullOptional
archivedbooleanOptional
authorsstring or nullOptionalformat: "uri"
The authors of the request. By default, this is set to the creator.
createdAtstring or nullOptional
creatorobjectOptional
definitionobjectOptional
The configuration model for the request submission.
displayIdstring or nullOptional
folderobjectOptional
idstringOptional
modifiedAtstring or nullOptional
namestringOptional
statusenumOptional

The first-class status of the request. Once submitted, this status is an aggregation of task statuses.

Allowed values:
workflowTaskGroupobject or nullOptional
The task group created to fulfill the request.

Errors

400
Request V2submission Get Request Bad Request Error
403
Request V2submission Get Request Forbidden Error
404
Request V2submission Get Request Not Found Error
429
Request V2submission Get Request Too Many Requests Error
500
Request V2submission Get Request Internal Server Error